<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage BlogSlog Pro
 * @since BlogSlog Pro 1.0.0
 */

$wp_customize->add_section( 'blogslog_pro_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','blogslog-pro' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'blogslog-pro' ),
	'panel'             => 'blogslog_pro_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'blogslog_pro_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'blogslog_pro_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new BlogSlog_Pro_Switch_Control( $wp_customize, 'blogslog_pro_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'blogslog-pro' ),
	'section'          	=> 'blogslog_pro_breadcrumb',
	'on_off_label' 		=> blogslog_pro_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'blogslog_pro_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'blogslog_pro_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'blogslog-pro' ),
	'active_callback' 	=> 'blogslog_pro_is_breadcrumb_enable',
	'section'          	=> 'blogslog_pro_breadcrumb',
) );
